//======================================================================
//
// udi_rom.v
// ---------
// UDI rom generated by instatiating named SB_LUT4 resources.
// Note: This makes the design tech specicific.
//
//
// Author: Claire Xiena Wolf.
// Copyright (C) 2023 - Tillitis AB
// SPDX-License-Identifier: GPL-2.0-only
//
//======================================================================

module udi_rom (
  input wire [0:0] addr,
  output wire [31:0] data
);
  generate
    genvar ii;
    /* verilator lint_off PINMISSING */
    for (ii = 0; ii < 32; ii = ii + 1'b1)
      begin: luts

	(* udi_rom_idx=ii, keep *) SB_LUT4 #(.LUT_INIT({2'h1})
					     ) lut_i (
						      .I0(addr[0]),
						      .O(data[ii])
						      );
	/* verilator lint_on PINMISSING */
      end
  endgenerate
endmodule

//======================================================================
// EOF udi_rom.v
//======================================================================
